# Funkwhale for Android

This is the official Android music player for [Funkwhale](https://funkwhale.audio), native to both Android (developed in Kotlin) and to Funkwhale (uses its native API instead of Subsonic).
It is based on the amazing [Otter](https://github.com/apognu/otter) made by [apognu](https://github.com/apognu) and would not be possible without his groundwork!

You can get help and discuss Funkwhale on Matrix on [#funkwhale-android:matrix.org](https://matrix.to/#/#funkwhale-android:matrix.org).

## Installation

Currently you can install a preview version of Funkwhale for Android through a selfhosted [F-Droid repository](https://fdroid.funkwhale.audio/develop/). 
You'll have to add this repository to your F-Droid client, please visit the link above for further instructions. Once you added the repository, you can
use F-Droid as usual and search for "Funkwhale". 

## State

Funkwhale for Android is work in Progress. Please bear with us, there will be bugs, there will be crashes and there will be performance and UX issues.

Here is the list of Funkwhale for Android's features:

 * Basic collection browsing (artists, albums and tracks)
 * Playlists listing
 * Favorites management (listing and add/remove)
 * Track search
 * Queue management
 * Caching of played tracks (played tracks work offline)
 * Download tracks for offline playback
 * Radios playback
 * Dark mode! 🎉

Funkwhale for Android will try to behave as you would expect a mobile music player to. That means it integrates with the OS's media controls (including headset controls) or pause on incoming calls. If there is anything you would like it to do, please [open an issue](https://dev.funkwhale.audio/funkwhale/funkwhale-android/-/issues/new).

## Screenshots

<img src="https://dev.funkwhale.audio/funkwhale/funkwhale-android/-/raw/develop/app/src/main/play/listings/en-US/graphics/phone-screenshots/1.png" width="200" /> 
<img src="https://dev.funkwhale.audio/funkwhale/funkwhale-android/-/raw/develop/app/src/main/play/listings/en-US/graphics/phone-screenshots/2.png" width="200" /> 
<img src="https://dev.funkwhale.audio/funkwhale/funkwhale-android/-/raw/develop/app/src/main/play/listings/en-US/graphics/phone-screenshots/3.png" width="200" /> 
<img src="https://dev.funkwhale.audio/funkwhale/funkwhale-android/-/raw/develop/app/src/main/play/listings/en-US/graphics/phone-screenshots/4.png" width="200" /> 
<img src="https://dev.funkwhale.audio/funkwhale/funkwhale-android/-/raw/develop/app/src/main/play/listings/en-US/graphics/phone-screenshots/5.png" width="200" /> 
<img src="https://dev.funkwhale.audio/funkwhale/funkwhale-android/-/raw/develop/app/src/main/play/listings/en-US/graphics/phone-screenshots/6.png" width="200" /> 
<img src="https://dev.funkwhale.audio/funkwhale/funkwhale-android/-/raw/develop/app/src/main/play/listings/en-US/graphics/phone-screenshots/7.png" width="200" />

## Translation

Funkwhale for Android is being translated by the community through [Weblate](https://translate.funkwhale.audio/settings/funkwhale/ffa). If you would like to contribute to its localization or add a new language, you can help out there.

[![Translation status](https://translate.funkwhale.audio/widgets/funkwhale/-/ffa/multi-auto.svg)](https://translate.funkwhale.audio/engage/funkwhale/)
